/*
 * iFacturaItemHome.java
 *
 * Created on 20 de septiembre de 2003, 9:41
 */

package ejbfacturas;

/**
 *
 * @author  Roberto Canales
 */

import java.rmi.*;
import javax.ejb.*;
import java.io.*;
import java.util.*;

import facturascomun.*;

/**
 * Interfaz Home para definir los metodos de creacin de nuestro EJB
 *
 */
public interface iFacturaItemHome extends EJBHome 
{
    // ver las diferencias entre las declaraciones del Home y del Bean
    public iFacturaItem create(Factura pFactura) throws CreateException, RemoteException;
    public Collection findByRango(int pOrigen,int pDestino) throws FinderException, RemoteException; 
    public iFacturaItem findByPrimaryKey(String pParam) throws FinderException, RemoteException;
}


