/*
 * pruebaEjbFacturas.java
 *
 * Created on 20 de septiembre de 2003, 17:25
 */
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import facturascomun.*;
import ejbfacturas.*;

import javax.naming.*;
import ejbfacturas.*;
import javax.rmi.*;

import java.util.*;

/**
 *
 * @author  Administrator
 */
public class pruebaEjbFacturas {
    
    /** Creates a new instance of pruebaEjbFacturas */
    public pruebaEjbFacturas() {
    }
    
    
    private static InitialContext getInitialContext() throws NamingException	
    {		
        Hashtable env = new Hashtable();		
        env.put(Context.INITIAL_CONTEXT_FACTORY,"com.sun.enterprise.naming.SerialInitContextFactory");
        env.put("java.naming.factory.url.pkgs", "com.sun.enterprise.naming");
        env.put(Context.PROVIDER_URL, "iiop://127.0.0.1:1050");
        
        return new InitialContext(env);	
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        pruebaEjbFacturas app = new pruebaEjbFacturas();
        app.ejecuta();
    }
        
    void ejecuta() 
    {
        Context contexto = null;
        iFacturasHome miHome = null;
        
       
        try
        {
            contexto = getInitialContext();
            Object objetoGenerico = contexto.lookup("iFacturasBean");
            
            depura("La clase original es " + objetoGenerico.getClass().getName());
            
            miHome = (iFacturasHome)PortableRemoteObject.narrow(objetoGenerico,iFacturasHome.class);
            
            iFacturas ejbGestorFacturas = miHome.create();
            depura("Nmero de facturas en BBDD = " + ejbGestorFacturas.recuperaNumeroFacturas());
        
            ejbGestorFacturas.insertaNuevaFactura(new Factura("1","AdictosAlTrabajo","Consultoria Tecnologica","54332112s", "Calle del Olivo", "28/10/2003", 5644.21));
        }
        catch(Exception e)
        {
            depura("Error al gestionar Facturas\n" + e.getMessage());
            e.printStackTrace();
            
        }
        
    
    }
   
    void depura(String sCadena)
    {
        System.out.println("Depuracion: " + sCadena);
    }

    
}
